#include "omgifos.inc"
#include "transforms.inc"

// moveCamera(float clk)	clk = clock-value
#macro moveCamera(clk)
	#declare camAspectRatio = 4/3;
	#declare camTransform = transform{};
	//#if (clk <= 22)
		#declare camLocation = <0,0,clk*500>;
		#declare camLookAt = camLocation + z;
		#declare camAngle = 120;
	//#end
	#if (clk >= 2 & clk < 6)
		#declare turn = (1-cos((clk-2)/4*pi))/2*180;
		#declare camTransform = transform { rotate <0,turn,0> }; 
	#end
	#if (clk >=6 & clk < 10)
		#declare rot = (1-cos((clk-6)/4*pi))/2*180;
		#declare camTransform = transform { rotate <0,180,0> rotate <0,0,rot> };
	#end
	#if (clk >= 10 & clk < 12)
		#declare camTransform = transform { rotate <0,180,0> rotate <0,0,180>};
	#end
	#if (clk >= 12 & clk < 16)
		#declare turn = (1-cos((clk-12)/4*pi))/2*180 + 180;
		#declare camTransform = transform { rotate <0,turn,0> rotate <0,0,180>};
	#end
	#if (clk >=16 & clk < 20)
		#declare rot = (1-cos((clk-16)/4*pi))/2*180+180;
		#declare camTransform = transform { rotate <0,0,0> rotate <0,0,rot> };
	#end
#end

moveCamera(clock)
omgifosSetCamera(camLocation,camLookAt,camAngle,camTransform,camAspectRatio)
moveCamera(clock + clock_delta)
omgifosSetMotion(camLocation,camLookAt,camAngle,camTransform)
writeCamera()

#if (frame_number > initial_frame)
	setScreen(1e6)
	// -------------------------------- your scene starts here ---------------------------------



	// --------------------------------  your scene ends here  ---------------------------------
#end
